aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBreno Leitao <breno.leitao@gmail.com>2017-03-28 18:30:04 +0000
committerBreno Leitao <breno.leitao@gmail.com>2017-03-28 18:41:54 +0000
commitf4da07d6524dfa953cb74fcfd0afc912c4f8cdae (patch)
tree696733a72eec02b6a45003f285081136112535b9
parent0dc0b7c693260d4b9015124780d2b227e33a588e (diff)
downloadaports-f4da07d6524dfa953cb74fcfd0afc912c4f8cdae.tar.gz
aports-f4da07d6524dfa953cb74fcfd0afc912c4f8cdae.tar.bz2
aports-f4da07d6524dfa953cb74fcfd0afc912c4f8cdae.tar.xz
community/patchelf: Disable tests for ppc64le
Currently patchelf tries to execut tests that are not aimed for ppc64le, thus, failing the whole build. This patch just disable the tests on ppc64le. Tested on both x86 and ppc64le
-rw-r--r--community/patchelf/APKBUILD7
1 files changed, 6 insertions, 1 deletions
diff --git a/community/patchelf/APKBUILD b/community/patchelf/APKBUILD
index c497b8c37b..a400d60c3d 100644
--- a/community/patchelf/APKBUILD
+++ b/community/patchelf/APKBUILD
@@ -25,7 +25,12 @@ build() {
cd "$builddir"
./configure --prefix=/usr || return 1
make || return 1
- make -C tests -j1 check || return 1
+}
+
+check(){
+ if [ "$CARCH" != "ppc64le" ] ; then
+ make -C tests -j1 check || return 1
+ fi
}
package() {